# Get Webhook Rule

get `https://app.mk.io/api/v1/projects/:project_name/webhook/rules/:rule_name`

Gets webhook rule by name.

RBAC Capability Required: `webhooks.config.get`

## Authentication

Authorization Bearer

Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Path parameters

| Parameter   | Type   | Required | Description                                              |
|-------------|--------|----------|----------------------------------------------------------|
| project_name| string | Yes      | The name of the project.                                 |
| rule_name   | string | Yes      | The name of the rule.                                   |

## Response

### 200 A single Webhook Rule

#### Metadata

- **metadata** object [WebhookRuleMetadataSchema](https://docs.mediakind.com/api-reference/management-api/schemas/webhookrulemetadataschema) Required

- **id** string Required format: uuid
    - The ID of the webhook.
  - **name** string Required
    - The name of the webhook. Unique within a project.

#### Spec

- **spec** object [WebhookRuleSpecSchema](https://docs.mediakind.com/api-reference/management-api/schemas/webhookrulespecschema) Required

- **authentication** object [AuthenticationSchema](https://docs.mediakind.com/api-reference/management-api/schemas/authenticationschema) Optional
    - Authentication details.
  - **headers** map from strings to string Optional
    - Authentication headers.
  - **queryParams** map from strings to string Optional
    - Authentication query parameters.
  - **enabled** boolean Required
    - Indicates whether the webhook is enabled.
  - **events** list of enums Required
    - List of events that trigger the webhook.
  - **url** string Required
    - The URL the webhook should call.

## Errors

### 400 Bad Request

- **error** object [ErrorDetail](https://docs.mediakind.com/api-reference/management-api/schemas/errordetail) Required
  - **code** string Required
  - **detail** string Required
  - **extraDetail** map from strings to any Optional
  - **ref** string Required
  - **status** integer Required

### 401 Unauthorized

### 403 Forbidden

### 404 Not Found

### 429 Too Many Requests

### 500 Internal Server Error
